Inhalte
Index 🔎︎

# AscW Function [VBA]

Gibt den Unicodewert des ersten Zeichens eines Zeichenkettenausdrucks zurück.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

    AscW (string) As Long

### Rückgabewert:

Long

### Parameter:

string: Any valid string expression. Only the first character in the string is relevant.

Verwenden Sie die Funktion AscW, um Unicode-Zeichen durch Werte zu ersetzen. Stößt die Funktion AscW auf eine leere Zeichenkette, so meldet LibreOffice Basic einen Laufzeitfehler. Die zurückgegebenen Werte liegen zwischen 0 und 65535.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleAscW
     Print AscW("A") ' Liefert 65 zurück
     Print AscW(string:="Ω") ' returns 937
     Print AscW("Αθήνα") ' Liefert 913 zurück, weil nur das erste Zeichen (Alpha) berücksichtigt wird
    End Sub

Verwandte Themen

Asc Function

Chr Function

ChrW Function [VBA]